This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988091 - Please migrate from plexus-container-default to more recent container
Please migrate from plexus-container-default to more recent container
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jspc (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete MacKinnon
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 958010
  Show dependency treegraph
 
Reported: 2013-07-24 13:41 EDT by Mat Booth
Modified: 2014-02-12 16:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 16:26:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.34 KB, patch)
2013-07-25 02:08 EDT, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Mat Booth 2013-07-24 13:41:06 EDT
Description of problem:
jspc package is currently using plexus-container-default. Please migrate to a newer container, such as plexus-containers-container-default or sisu-inject-plexus.

plexus-container-default is unmaintained upstream for several years and two other packages provide mostly compatible API. Because of that plexus-container-default will be retired and jspc should migrate to more recent container to keep working.
Comment 1 Mikolaj Izdebski 2013-07-25 02:08:30 EDT
Created attachment 778078 [details]
Proposed patch
Comment 2 Mat Booth 2013-07-26 06:20:41 EDT
Eh, this package FTBFS on rawhide anyway because gshell has been retired. :-(
Comment 3 Pete MacKinnon 2013-07-26 09:17:20 EDT
Investigating whether to maintain this for F20 and beyond. There are alternatives now in the repos, namely jetty-jspc-maven-compiler (9.x).
Comment 4 Pete MacKinnon 2013-07-26 09:18:12 EDT
gshell is retired but there are techniques to remove the gmaven deps completely and replace with ant.
Comment 5 Mat Booth 2013-07-26 17:31:33 EDT
Awesome, thanks for looking into it :-)
Comment 6 Pete MacKinnon 2013-07-29 15:08:46 EDT
A new spin of gmaven on F19 by puntogil@libero.it has removed the gshell dependency. I will try it out with jspc.
Comment 7 Fedora End Of Life 2013-09-16 12:48:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 8 Mat Booth 2014-02-12 16:26:27 EST
This package has been built for F20 and F21, so I assume this is fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.